summaryrefslogtreecommitdiff
path: root/tests/ls/time-1
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>1998-01-10 11:24:51 +0000
committerJim Meyering <jim@meyering.net>1998-01-10 11:24:51 +0000
commit77c94909cfc3fdb5a0478720bcf5e318e85573e2 (patch)
tree30f606fa78f6e248b80f68e6e70ce743a447bb4d /tests/ls/time-1
parent3b8d19272dcc3a17f82d3d8c5d6684a3d959f463 (diff)
downloadcoreutils-77c94909cfc3fdb5a0478720bcf5e318e85573e2.tar.xz
*** empty log message ***
Diffstat (limited to 'tests/ls/time-1')
-rwxr-xr-xtests/ls/time-114
1 files changed, 11 insertions, 3 deletions
diff --git a/tests/ls/time-1 b/tests/ls/time-1
index c7929d5b6..546331d88 100755
--- a/tests/ls/time-1
+++ b/tests/ls/time-1
@@ -10,12 +10,20 @@ fi
tmp=t-ls.$$
+# We're going to LS from a subdir. Prepend ../ if $LS is not an
+# absolute file name.
+case $LS in
+ /*) ;;
+ *) LS=../$LS
+esac
+
test_failure=0
mkdir $tmp || test_failure=1
cd $tmp || test_failure=1
+
: > a || test_failure=1
+sleep 1
: > b || test_failure=1
-cat b || test_failure=1
if test $test_failure = 1; then
echo 'failure in testing framework'
@@ -23,8 +31,8 @@ if test $test_failure = 1; then
fi
fail=0
-$LS -u a b > out || fail=1
- cat out
+set `$LS -u a b`
+test "$*" = 'b a' && : || fail=1
cd ..
rm -rf $tmp